import java.util.StringTokenizer;

public class ChartItem {

  private String label;
  private double frac;
  private int[] rgb;

  public ChartItem(String label, double frac, int[] rgb) {
    this.frac = frac;
    this.label = label;
    this.rgb = rgb;
  }

  public double getFraction() {
    return this.frac;
  }

  public void setFraction(double frac) {
    this.frac = frac;
  }

  public String getLabel() {
    return this.label;
  }

  public void setRGB(int[] rgb) {
    this.rgb = rgb;
  }

  public int[] getRGB() {
    return this.rgb;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public String toString() {
    return(new String(label+","+frac+","+rgb[0]+","+rgb[1]+","+rgb[2]));
  }
}